import { CommandModule } from 'yargs';
import { OutputStyle, RunManyOptions } from '../yargs-utils/shared-options';
import { VersionData } from './utils/shared';
export interface NxReleaseArgs {
    groups?: string[];
    projects?: string[];
    dryRun?: boolean;
    verbose?: boolean;
    firstRelease?: boolean;
}
interface GitCommitAndTagOptions {
    stageChanges?: boolean;
    gitCommit?: boolean;
    gitCommitMessage?: string;
    gitCommitArgs?: string;
    gitTag?: boolean;
    gitTagMessage?: string;
    gitTagArgs?: string;
}
export type VersionOptions = NxReleaseArgs & GitCommitAndTagOptions & {
    specifier?: string;
    preid?: string;
    stageChanges?: boolean;
    generatorOptionsOverrides?: Record<string, unknown>;
};
export type ChangelogOptions = NxReleaseArgs & GitCommitAndTagOptions & {
    version?: string | null;
    versionData?: VersionData;
    to?: string;
    from?: string;
    interactive?: string;
    gitRemote?: string;
    createRelease?: false | 'github';
};
export type PublishOptions = NxReleaseArgs & Partial<RunManyOptions> & {
    outputStyle?: OutputStyle;
} & {
    registry?: string;
    tag?: string;
    otp?: number;
};
export type ReleaseOptions = NxReleaseArgs & {
    yes?: boolean;
    skipPublish?: boolean;
};
export declare const yargsReleaseCommand: CommandModule<Record<string, unknown>, NxReleaseArgs>;
export {};
